Bug 11921 - Теряется слеш в первом раскрывающемся макросе если имя субпакета состоит из 8 символов
: Теряется слеш в первом раскрывающемся макросе если имя субпакета состоит из 8...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-30 20:12 by
Modified: 2009-07-24 03:35 (History)


Attachments
Тестовый пакет для воспроизведения ошибки (2.41 KB, application/octet-stream)
2007-05-30 20:17, Slava Dubrovskiy
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-30 20:12:58
Теряется слеш в первом раскрывающемся макросе если имя субпакета состоит из 8
символов
Steps to Reproduce:
1.собрать тестовый пакет, который прилагается
2.
3.
------- Comment #1 From 2007-05-30 20:17:05 -------
Created an attachment (id=2001) [details]
Тестовый пакет для воспроизведения ошибки
------- Comment #2 From 2008-03-31 04:44:42 -------
Поразительно, но этот глюк у меня воспрозводится.
Ковырялся целый час в rpmio/macro.c, но так и не смог понять, что там
происходит.
------- Comment #3 From 2009-02-20 02:36:07 -------
Не помните, на какой архитектуре это воспроизводилось?
------- Comment #4 From 2009-02-20 16:12:32 -------
(В ответ на комментарий №3)
> Не помните, на какой архитектуре это воспроизводилось?
i386
------- Comment #5 From 2009-07-24 03:35:33 -------
rpm-4.0.4-alt98.17 -> sisyphus:

* Tue Jul 14 2009 Dmitry V. Levin <ldv@altlinux> 4.0.4-alt98.17

- rpmio/macro.c (doShellEscape): Fixed potential buffer underflow (closes:
#11921).